Loading...
Searching...
No Matches
OpenMesh::SingletonT< T > Class Template Reference

A simple singleton template. More...

`#include <OpenMesh/Core/Utils/SingletonT.hh>`

## Static Public Member Functions

static T & | Instance ()
| Singleton access function.

## Detailed Description

template<typename T>
class OpenMesh::SingletonT< T >

A simple singleton template.

Encapsulates an arbitrary class and enforces its uniqueness.

## Member Function Documentation

## Instance()

template<typename T>

T & OpenMesh::SingletonT< T >::Instance | ( |  | ) |

inline static

Singleton access function.

Use this function to obtain a reference to the instance of the encapsulated class. Note that this instance is unique and created on the first call to Instance().

The documentation for this class was generated from the following file:

- OpenMesh/Core/Utils/SingletonT.hh